//
//  Fraction.h
//  FractionPicker
//
//  Created by Terry Payne on 06/06/2011.
//  Copyright 2011 University of Liverpool. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Fraction : NSObject {
    int numerator;
    int denominator;
}

- (void) setNumerator: (int) n;
- (void) setDenominator: (int) d;
- (int) numerator;
- (int) denominator;
- (void) setTo: (int) n over: (int) d;
- (double) convertToNum;
- (NSString *) convertToString;

- (void) reduce;
- (void) add: (Fraction *)f;



@end
